<?php
/**
*@Links Manager
*
* @package admin
* @copyright (c)2006-2008 Clyde Jones
* @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_links_submit_default.php 3.5.3 4/16/2010 Clyde Jones $
 * @version $id: init_links_manager.php 3.7.0 6/14/2014 davewest $
*/

  function zen_get_link_category_name($link_category_id, $language_id) {
  global $db;
    $link_category = $db->Execute("select link_categories_name from " . TABLE_LINK_CATEGORIES_DESCRIPTION . " where link_categories_id = '" . (int)$link_category_id . "' and language_id = '" . (int)$_SESSION['languages_id'] . "'");
    return $link_category->fields['link_categories_name'];
  }

  function zen_get_link_category_description($link_category_id, $language_id) {
global $db;
    $link_category = $db->Execute("select link_categories_description from " . TABLE_LINK_CATEGORIES_DESCRIPTION . " where link_categories_id = '" . (int)$link_category_id . "' and language_id = '" . (int)$_SESSION['languages_id'] . "'");
    return $link_category->fields['link_categories_description'];
  }

  function zen_remove_link_category($link_category_id) {
global $db;
    $link_category_image = $db->Execute("select link_categories_image from " . TABLE_LINK_CATEGORIES . " where link_categories_id = '" . (int)$link_category_id . "'");
    $duplicate_image = $db->Execute("select count(*) as total from " . TABLE_LINK_CATEGORIES . " where link_categories_image = '" . zen_db_input($link_category_image->fields['link_categories_image']) . "'");
    if ($duplicate_image->fields['total'] < 2) {
      if (file_exists(DIR_FS_CATALOG_IMAGES . $link_category_image->fields['link_categories_image'])) {
        @unlink(DIR_FS_CATALOG_IMAGES . $link_category_image->fields['link_categories_image']);
      }
    }

    $db->Execute("delete from " . TABLE_LINK_CATEGORIES . " where link_categories_id = '" . (int)$link_category_id . "'");
    $db->Execute("delete from " . TABLE_LINK_CATEGORIES_DESCRIPTION . " where link_categories_id = '" . (int)$link_category_id . "'");
    $db->Execute("delete from " . TABLE_LINKS_TO_LINK_CATEGORIES . " where link_categories_id = '" . (int)$link_category_id . "'");
  }

  function zen_remove_link($link_id) {
 global $db;
    $db->Execute("delete from " . TABLE_LINKS . " where links_id = '" . (int)$link_id . "'");
    $db->Execute("delete from " . TABLE_LINKS_TO_LINK_CATEGORIES . " where links_id = '" . (int)$link_id . "'");
    $db->Execute("delete from " . TABLE_LINKS_DESCRIPTION . " where links_id = '" . (int)$link_id . "'");
  }

// clone of zen_info_image() sans file_exists (which doesn't work on remote files)
  function zen_link_info_image($image, $alt, $width = '', $height = '') {
 global $db;
    if (zen_not_null($image)) {
      $image = zen_image($image, $alt, $width, $height);
    } else {
      $image = TEXT_IMAGE_NONEXISTENT;
    }
    return $image;
  }
function zen_set_links_status($links_id, $status) {
global $db;
    if ($status == '1') {
      return $db->Execute("update " . TABLE_LINKS . " set links_status = '1' where links_id = '" . $links_id . "'");
    } elseif ($status == '2') {
      return $db->Execute("update " . TABLE_LINKS . " set links_status = '2' where links_id = '" . $links_id . "'");
    } elseif ($status == '3') {
      return $db->Execute("update " . TABLE_LINKS . " set links_status = '3' where links_id = '" . $links_id . "'");
    } else {
      return -1;
    }
  }  

/*
 * In Zen Cart versions 1.5.3 on, this function exist so we do not need it here
 * in ZC versions less then 1.5.3 this function does not exist so we need to provide it
 * I do not like auto checks so done using a button if you wanted to be tracked use MS Windoze!
 * this function checks ZC site for the latest plugin version for the version of ZC you are running
 * it does not go any where else or send any other info then mod title and current versions.
 */
if (!function_exists('plugin_version_check_for_updates')) { 
  function plugin_version_check_for_updates($plugin_file_id = 0, $version_string_to_compare = '')
  {
    if ($plugin_file_id == 0) return FALSE;
    $new_version_available = FALSE;
    $lookup_index = 0;
    $url = 'http://www.zen-cart.com/downloads.php?do=versioncheck' . '&id='.(int)$plugin_file_id;
    $data = json_decode(file_get_contents($url), true);
    // compare versions
    if (strcmp($data[$lookup_index]['latest_plugin_version'], $version_string_to_compare) > 0) $new_version_available = TRUE;
    // check whether present ZC version is compatible with the latest available plugin version
    if (!in_array('v'. PROJECT_VERSION_MAJOR . '.' . PROJECT_VERSION_MINOR, $data[$lookup_index]['zcversions'])) $new_version_available = FALSE;
    return ($new_version_available) ? $data[$lookup_index] : FALSE;
  }
 }   
 /*
 * sniffer for tables used for deleting Link Manager
 **/
if (!function_exists('lm_table_exists')) { 
   function lm_table_exists($table_name) {
    global $db;
    $found_table = false;
    // Check to see if the requested Zen Cart table exists
    $sql = "SHOW TABLES like '".$table_name."'";
    $tables = $db->Execute($sql);
    //echo 'tables_found = '. $tables->RecordCount() .'<br>';
    if ($tables->RecordCount() > 0) {
      $found_table = true;
    }
    return $found_table;
  }
}
//EOF
