<?php
/**
*@Links Manager
*
* @package admin
* @copyright (c)2006-2008 Clyde Jones
* @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
* @version $Id: links.php 3.5.3 4/16/2010 Clyde Jones $
*
* @version $Id: links.php 3.6.2 5/14/2016 davewest $
*/
 
  function zen_get_link_path($links_id) {
    $lPath = '';
    $category_query = "select l2c.link_categories_id from " . TABLE_LINKS . " l, " . TABLE_LINKS_TO_LINK_CATEGORIES . " l2c where l.links_id = '" . (int)$links_id . "' and l.links_id = l2c.links_id limit 1";
    $number_of_categories = $db->Execute($categories_query);
    if ($number_of_categories->RecordCount() <=0) {
      $category = $db->Execute($category_query);
      $lPath .= $category->fields['link_categories_id'];
    }
    return $lPath;
  }
////
// The HTML image wrapper function
  function zen_links_image($src, $alt = '', $width = '', $height = '', $parameters = '') {
    if ( (empty($src) || ($src == DIR_WS_IMAGES)) && (IMAGE_REQUIRED == 'false') ) {
      return false;
    }
// alt is added to the img tag even if it is null to prevent browsers from outputting
// the image filename as default
    $image = '<img src="' . zen_output_string($src) . '" alt="' . zen_output_string($alt) . '"';
    if (zen_not_null($alt)) {
      $image .= ' title=" ' . zen_output_string($alt) . ' "';
    }
    if ( (CONFIG_CALCULATE_IMAGE_SIZE == 'true') && (empty($width) || empty($height)) ) {
      if ($image_size = @getimagesize($src)) {
        if (empty($width) && zen_not_null($height)) {
          $ratio = $height / $image_size[1];
          $width = $image_size[0] * $ratio;
        } elseif (zen_not_null($width) && empty($height)) {
          $ratio = $width / $image_size[0];
          $height = $image_size[1] * $ratio;
        } elseif (empty($width) && empty($height)) {
          $width = $image_size[0];
          $height = $image_size[1];
        }
      } elseif (IMAGE_REQUIRED == 'false') {
        return false;
      }
    }
    // VJ begin maintain image proportion
    $calculate_image_proportion = 'true';
    if( ($calculate_image_proportion == 'true') && (!empty($width) && !empty($height))) {
      if ($image_size = @getimagesize($src)) {
        $image_width = $image_size[0];
        $image_height = $image_size[1];
        if (($image_width != 1) && ($image_height != 1)) {
          $whfactor = $image_width/$image_height;
          $hwfactor = $image_height/$image_width;
          if ( !($image_width > $width) && !($image_height > $height)) {
            $width = $image_width;
            $height = $image_height;
          } elseif ( ($image_width > $width) && !($image_height > $height)) {
            $height = $width * $hwfactor;
          } elseif ( !($image_width > $width) && ($image_height > $height)) {
            $width = $height * $whfactor;
          } elseif ( ($image_width > $width) && ($image_height > $height)) {
            if ($image_width > $image_height) {
              $height = $width * $hwfactor;
            } else {
              $width = $height * $whfactor;
            }
          }
        }
      }
    }
    //VJ end maintain image proportion
    if (zen_not_null($width) && zen_not_null($height)) {
      $image .= ' width="' . (int)zen_output_string($width) . '" height="' . (int)zen_output_string($height) . '"';
    }
    if (zen_not_null($parameters)) $image .= ' ' . $parameters;
    $image .= ' />';
    return $image;
  }
////
// Return the links url
  function lm_validate_url($links_url) {
  global $db, $mymessage;
  
    $linkdog = $db->Execute("select links_url, links_status from " . TABLE_LINKS . " where links_url = '" . $links_url . "'");
    $mymessage = '';
    
if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", $links_url)) {
         if (($linkdog->fields['links_url'] == '') and ($linkdog->fields['links_url'] != $links_url) and ($linkdog->fields['links_status'] != 3)) {  
        return true; //new url add it
         } else if ($linkdog->fields['links_status'] == 3) { //check if it is blocked
         $mymessage = ENTRY_BLOCKED_URL_ERROR;
       return false;
         } else {
         $mymessage = ENTRY_EXISTING_URL_ERROR; //not blocked, must be existing
       return false;
         }
    } else {
    $mymessage = ENTRY_URL_ERROR; //junk url wipe and reset
    return false;
  }
   
}
////
// Update the links click statistics
  function zen_update_links_click_count($links_id) {
    global $db;
    $db->Execute("update " . TABLE_LINKS . " set links_clicked = links_clicked + 1 where links_id = '" . (int)$links_id . "'");
  }

////
// Return the links url
 function zen_get_links_url($identifier) {
 global $db;
 if (USE_CLICK_COUNT) {
   $link = $db->Execute("select links_id, links_url from " . TABLE_LINKS . " where links_id = '" . (int)$identifier . "'");
    $links_string = 'index.php?main_page=links&amp;action=links_url&amp;goto='.$link->fields['links_id']; 
   return $links_string;
   } else {
   $link = $db->Execute("select links_id, links_url from " . TABLE_LINKS . " where links_id = '" . (int)$identifier . "'");
    $links_string = $link->fields['links_url']; 
   return $links_string;
   }
 }
 
//EOF
