<?php
/**
 * Links Template
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: jscript_main.php 3.5.3 4/16/2010 Clyde Jones $
 *
 * @version $Id: jscript_main.php  3.6.2 5/14/2016 davewest $
 */
?>
<script type="text/javascript"><!--//
function popupWindow(url) {
  window.open(url,'popupWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,copyhistory=no,width=750,height=370,screenX=150,screenY=150,top=150,left=150')
}

var selected;
var form = "";
var submitted = false;
var error = false;
var error_message = "";

function check_input(field_name, field_size, message) {
  if (form.elements[field_name] && (form.elements[field_name].type != "hidden")) {
    if (field_size == 0) return;
    var field_value = form.elements[field_name].value;

    if (field_value == '' || field_value.length < field_size) {
      error_message = error_message + "* " + message + "\n";
      error = true;
    }
  }
}


function check_form(form_name) {
  if (submitted == true) {
    alert("<?php echo JS_ERROR_SUBMITTED; ?>");
    return false;
  }

  error = false;
  form = form_name;
  error_message = "<?php echo JS_ERROR; ?>";

<?php if ((int)ENTRY_LINKS_CONTACT_NAME_MIN_LENGTH > 0) { ?>
  check_input("contactname", <?php echo (int)ENTRY_LINKS_CONTACT_NAME_MIN_LENGTH; ?>, "<?php echo ENTRY_LINKS_CONTACT_NAME_ERROR; ?>");
<?php } ?>

<?php if ((int)ENTRY_LINKS_TITLE_MIN_LENGTH > 0) { ?>
  check_input("links_title", <?php echo (int)ENTRY_LINKS_TITLE_MIN_LENGTH; ?>, "<?php echo ENTRY_LINKS_TITLE_MIN_ERROR; ?>");
<?php } ?>



<?php if ((int)ENTRY_LINKS_DESCRIPTION_MIN_LENGTH > 0) { ?>
  check_input("links_description", <?php echo (int)ENTRY_LINKS_DESCRIPTION_MIN_LENGTH; ?>, "<?php echo ENTRY_LINKS_DESCRIPTION_MIN_ERROR; ?>");
<?php } ?>

  if (error == true) {
    alert(error_message);
    return false;
  } else {
    submitted = true;
    return true;
  }
}
//--></script>
